Subject: Re: [solved] postgresql, cygwin newbie, issues
From: Michael Teter <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 1 Aug 2003 09:04:33 -0700 (PDT)

Thanks much.  It's now working.

For those who may be going through the same thing, here's a quick list of
steps:

1. Install Cygwin, making sure to include Postgresql package
2. Download the binary cygipc files from
http://www.neuro.gatech.edu/users/cwilson/cygutils/cygipc/index.html
3. Untar cygipc tarball from / directory.
4. $ ipc-daemon&
5. $ mkdir /whatever/path/pgsql
6. $ initdb -D /whatever/path/pgsql
7. $ pg_ctl -D /whatever/path/pgsql -o "-i" start
8. $ createdb testdb
etc.

Thanks again.
Michael

--- Larry Hall <[email-masked]> wrote:
> Michael Teter wrote:
> 
> > Howdy.
> > 
> > I and to run PostgreSQL on Cygwin.  I've found a few differing "guides" of
> how
> > to do this, but I'm unable to get any to fit my situation.
> > 
> > I have CYGWIN_NT-5.1 with "all" packages downloaded and installed.  I'm
> > running XP Pro SP1.  Guides I've found for Postgres+Cygwin tell of running
> > ipc-daemon, then starting postgres.
> > 
> > I found ipc-daemon2 in the cygipc package (which had to be specifically
> > selected in cygwin setup, despite my having specified during install that
> I
> > wanted everything.
> > 
> > THE PROBLEM: when I run ipc-daemon2, I get a windows error dialog that
> states:
> > Title: ipc-daemon2.exe - Entry Point Not Found
> > Body: The procedure entry point __getreent could not be located in the
> dynamic
> > link library cygwin1.dll.
> > 
> > Suggestions?
> > 
> > Incidentally, I find it odd that Postgres is included in Cygwin when it
> can't
> > be used, or not without seeking out external packages.
> > 
> > Thanks for any help or pointers to information.
> 
> 
> You're mixing stuff up.  You've installed cygipc version 2, which is
> built for the test release of the upcoming Cygwin 1.5 DLL.  But postgresql
> isn't built against this yet.  You should run setup again, leave the
> 'Curr' button selected, and let it install whatever it thinks it needs
> to.  That will give you consistent binaries for Cygwin 1.3.22.  Then
> read <http://www.cygwin.com/ml/cygwin/2003-05/msg01125.html>.  This
> contains pointers to all the information you need to know to install and
> configure PostgreSQL.
> 
> 
> -- 
> Larry Hall                              http://www.rfk.com
> RFK Partners, Inc.                      (508) 893-9779 - RFK Office
> 838 Washington Street                   (508) 893-9889 - FAX
> Holliston, MA 01746
> 

__________________________________
Do you Yahoo!?
SBC Yahoo! DSL - Now only $29.95 per month!
http://sbc.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/